Summary: A server process which provides boot information to diskless clients.
Name: bootparamd
Version: 0.16
Release: 2
Copyright: BSD
Group: System Environment/Daemons
Source: ftp://sunsite.unc.edu/pub/Linux/system/network/daemons/netkit-bootparamd-%{version}.tar.gz
Source1: bootparamd.init
Prereq: /sbin/chkconfig
Requires: portmap
BuildRoot: /var/tmp/%{name}-root

%description
The bootparamd process provides bootparamd, a server process which
provides the information needed by diskless clients in order for them
to successfully boot.  Bootparamd looks first in /etc/bootparams for an
entry for that particular client; if a local bootparams file doesn't
exist, it looks at the appropriate Network Information Service (NIS)
map.  Some network boot loaders (notably Sun's) rely on special boot
server code on the server, in addition to the RARP and TFTP servers.
This bootparamd server process is compatible with SunOS bootparam clients
and servers which need that boot server code.

You should install bootparamd if you need to provide boot information to
diskless clients on your network.

%prep
%setup -q -n netkit-bootparamd-%{version}

%build
sh configure
perl -pi -e 's,-O2,\$(RPM_OPT_FLAGS),' MCONFIG

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin,man/man1,man/man8}
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d

make INSTALLROOT=$RPM_BUILD_ROOT install
install -m 755 $RPM_SOURCE_DIR/bootparamd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/bootparamd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add bootparamd

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del bootparamd
fi

%files
%defattr(-,root,root)
/usr/sbin/rpc.bootparamd
/usr/bin/callbootd
/usr/man/man8/rpc.bootparamd.8.gz
/usr/man/man8/bootparamd.8.gz
%config /etc/rc.d/init.d/bootparamd

%changelog
* Thu Feb 03 2000 Erik Troan <ewt@redhat.com>
- gzipped man pages

* Tue Dec 21 1999 Jeff Johnson <jbj@redhat.com>
- update to 0.16.

* Fri Sep 25 1999 Bill Nottingham <notting@redhat.com>
- *sigh*.

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initrscript munging

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- removed triggerpostun.

* Fri May 01 1998 Jeff Johnson <jbj@redhat.com>
- added triggerpostun

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscript

* Thu Jan 08 1998 Erik Troan <ewt@redhat.com>
- updated initscript to include functions
- fixed 'stop' action of initscript
- added requirement for portmap

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- added an initscript

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
